Bug 7331 - Support circular Requires.
Summary: Support circular Requires.
Status: RESOLVED FIXED
Alias: None
Product: pkg-config
Classification: Unclassified
Component: src (show other bugs)
Version: unspecified
Hardware: x86 (IA32) Linux (All)
: high normal
Assignee: Tollef Fog Heen
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-06-26 02:47 UTC by Behdad Esfahbod
Modified: 2012-10-13 15:42 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Behdad Esfahbod 2006-06-26 02:47:07 UTC
Currently if two modules Require eachother recursitvely, pkg-config just errs
Too many open files...  It's useful to support this.  For example, when building
cairo on Linux systems, cairo.pc requires cairo-xlib.pc, and cairo-xlib.pc also
requires cairo.pc.  I have to work around it, but would have been nice if it
just worked.
Comment 1 Dan Nicholson 2012-10-13 15:42:57 UTC
Fixed in commit 6d6dd43e. pkg-config now keeps track of the dependency chain as it descends and will break it if the requested dependency is already in it.


bug/show.html.tmpl processed on May 27, 2016 at 06:27:50.
(provided by the Example extension).